После недавнего обновления тесты не работают. Ruby 2.0.0-p0, rails 4.0.0beta1, mongoid 4.0.0.

/Users/doniv/.rvm/gems/ruby-2.0.0-p0@global/gems/rake-10.0.3/lib/rake/task_manager.rb:49:in `[]': Don't know how to build task 'db:test:load' (RuntimeError)
from /Users/doniv/.rvm/gems/ruby-2.0.0-p0@global/gems/rake-10.0.3/lib/rake/task.rb:321:in `[]'
from /Users/doniv/.rvm/gems/ruby-2.0.0-p0/bundler/gems/rails-f0d5e32f891d/railties/lib/rails/commands/test_runner.rb:103:in `initialize'
from /Users/doniv/.rvm/gems/ruby-2.0.0-p0/bundler/gems/rails-f0d5e32f891d/railties/lib/rails/commands/test_runner.rb:18:in `new'
from /Users/doniv/.rvm/gems/ruby-2.0.0-p0/bundler/gems/rails-f0d5e32f891d/railties/lib/rails/commands/test_runner.rb:18:in `start'
from /Users/doniv/.rvm/gems/ruby-2.0.0-p0/bundler/gems/rails-f0d5e32f891d/railties/lib/rails/commands.rb:90:in `<top (required)>'
from bin/rails:4:in `require'
from bin/rails:4:in `<main>'

Любая идея?

Благодарность!

0
Doniv 19 Мар 2013 в 09:52

1 ответ

Лучший ответ

Инвалид:

gem 'rails', '~> 4.0.0.beta', :git => 'git://github.com/rails/rails.git'  
...
gem 'sass-rails',   '~> 4.0.0.beta', :git => 'git://github.com/rails/sass-rails.git'
gem 'coffee-rails', '~> 4.0.0.beta', :git => 'git://github.com/rails/coffee-rails.git'

Действителен:

gem 'rails', '~> 4.0.0.beta'  
...   
gem 'sass-rails',   '~> 4.0.0.beta'
gem 'coffee-rails', '~> 4.0.0.beta'
0
Doniv 25 Мар 2013 в 00:35